Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.mock.interceptor
Class LooseExpectation

Expects demanded call cardinalities to match demanded ranges. The calls are allowed to be out of the recorded sequence. If a method is demanded multiple times, the ranges are filled by order of recording.

:
  See StrictExpectation

author:
  Dierk Koenig

Field Summary
`List` | `fCalls`
`Demand` | `fDemand`

Constructor Summary
`LooseExpectation(Demand demand)`

Method Summary
`boolean` | `isEligible(String name, int i)`
`Closure` | `match(String name)` Match the requested method name against eligible demands.
`void` | `verify()` verify all calls are in expected range

Constructor Detail

### LooseExpectation

    public LooseExpectation(Demand demand)

Method Detail

### isEligible

    boolean isEligible(String name, int i)

### match

    Closure match(String name)

  Match the requested method name against eligible demands. Fail early if no match possible. Return the demand's behavior closure on match.

### verify

    void verify()

  verify all calls are in expected range